//------------------------------------------------------------------------------
// <auto-generated>
//      Generated by NativeAssist version 1.0.0.0 with Split Generator.
//      Do not modify this file unless necessary.
// </auto-generated>
//------------------------------------------------------------------------------

namespace NativeFx.Interop;

using System;
using GTA.Native;
using GTA;
using GTA.Math;

public static partial class Natives 
{
public static class App {
/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> App<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x846AA8E7D55EE5B6<br />
/// </para>
/// </remarks>
public static bool AppDataValid(){
return Function.Call<bool>((Hash)0x846AA8E7D55EE5B6uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> App<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD3A58A12C77D9D4B<br />
/// </para>
/// </remarks>
public static int AppGetInt(string property){
return Function.Call<int>((Hash)0xD3A58A12C77D9D4BuL, property);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> App<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x1514FB24C02C2322<br />
/// </para>
/// </remarks>
public static float AppGetFloat(string property){
return Function.Call<float>((Hash)0x1514FB24C02C2322uL, property);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> App<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x749B023950D2311C<br />
/// </para>
/// </remarks>
public static string AppGetString(string property){
return Function.Call<string>((Hash)0x749B023950D2311CuL, property);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> App<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x607E8E3D3E4F9611<br />
/// </para>
/// </remarks>
public static void AppSetInt(string property, int value){
Function.Call((Hash)0x607E8E3D3E4F9611uL, property, value);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> App<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x25D7687C68E0DAA4<br />
/// </para>
/// </remarks>
public static void AppSetFloat(string property, float value){
Function.Call((Hash)0x25D7687C68E0DAA4uL, property, value);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> App<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x3FF2FCEC4B7721B4<br />
/// </para>
/// </remarks>
public static void AppSetString(string property, string value){
Function.Call((Hash)0x3FF2FCEC4B7721B4uL, property, value);
}

/// <summary>
/// Called in the gamescripts like:<br />APP::APP_SET_APP(&quot;car&quot;);<br />APP::APP_SET_APP(&quot;dog&quot;);
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> App<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xCFD0406ADAF90D2B<br />
/// </para>
/// </remarks>
public static void AppSetApp(string appName){
Function.Call((Hash)0xCFD0406ADAF90D2BuL, appName);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> App<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x262AB456A3D21F93<br />
/// </para>
/// </remarks>
public static void AppSetBlock(string blockName){
Function.Call((Hash)0x262AB456A3D21F93uL, blockName);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> App<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5FE1DF3342DB7DBA<br />
/// </para>
/// </remarks>
public static void AppClearBlock(){
Function.Call((Hash)0x5FE1DF3342DB7DBAuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> App<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xE41C65E07A5F05FC<br />
/// </para>
/// </remarks>
public static void AppCloseApp(){
Function.Call((Hash)0xE41C65E07A5F05FCuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> App<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xE8E3FCF72EAC0EF8<br />
/// </para>
/// </remarks>
public static void AppCloseBlock(){
Function.Call((Hash)0xE8E3FCF72EAC0EF8uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> App<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x71EEE69745088DA0<br />
/// </para>
/// </remarks>
public static bool AppHasLinkedSocialClubAccount(){
return Function.Call<bool>((Hash)0x71EEE69745088DA0uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> App<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xCA52279A7271517F<br />
/// </para>
/// </remarks>
public static bool AppHasSyncedData(string appName){
return Function.Call<bool>((Hash)0xCA52279A7271517FuL, appName);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> App<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x95C5D356CDA6E85F<br />
/// </para>
/// </remarks>
public static void AppSaveData(){
Function.Call((Hash)0x95C5D356CDA6E85FuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> App<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC9853A2BE3DED1A6<br />
/// </para>
/// </remarks>
public static int AppGetDeletedFileStatus(){
return Function.Call<int>((Hash)0xC9853A2BE3DED1A6uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> App<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x44151AEA95C8A003<br />
/// </para>
/// </remarks>
public static bool AppDeleteAppData(string appName){
return Function.Call<bool>((Hash)0x44151AEA95C8A003uL, appName);
}

}}
